=== debian/changelog ===
praat (6.3.07-1) unstable; urgency=medium

  * New upstream version 6.3.07

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Feb 2023 03:31:58 -0300

praat (6.3.06-1) unstable; urgency=medium

  * New upstream version 6.3.06
  * d/praat.links: Fix link to SVG icon

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Feb 2023 11:58:15 -0300

praat (6.3.05-1) unstable; urgency=medium

  * New upstream version 6.3.05
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 30 Jan 2023 08:32:13 -0300

praat (6.3.03-2) unstable; urgency=medium

  * d/p/cross-build.patch: Improve patch.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #1028145)
  * d/copyright: Update Copyright years for debian/* files
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 Jan 2023 06:35:12 -0300

praat (6.3.03-1) unstable; urgency=medium

  * New upstream version 6.3.03

 -- Rafael Laboissière <rafael@debian.org>  Tue, 20 Dec 2022 09:48:29 -0300

praat (6.3.02-1) unstable; urgency=medium

  * New upstream version 6.3.02

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Dec 2022 21:30:36 -0300

praat (6.3.01-1) unstable; urgency=medium

  * New upstream version 6.3.01

 -- Rafael Laboissière <rafael@debian.org>  Thu, 24 Nov 2022 11:22:20 -0300

praat (6.3-1) unstable; urgency=medium

  * New upstream version 6.3
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 18 Nov 2022 19:03:12 -0300

praat (6.2.23-1) unstable; urgency=medium

  * New upstream version 6.2.23

 -- Rafael Laboissière <rafael@debian.org>  Wed, 12 Oct 2022 15:41:49 -0300

praat (6.2.22-1) unstable; urgency=medium

  * New upstream version 6.2.22
  * Install the new icon file
    + d/install.in: Use new upstream file main/praat-1675.svg
    + d/praat.links: New file (symlink praat.svg -> praat-1675.svg)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Sep 2022 05:35:10 -0300

praat (6.2.17-1) unstable; urgency=medium

  * New upstream version 6.2.17
  * Indicate that d/praat-file.desktop is forwarded upstream
    + d/s/lintian-overrides: Add override for Lintian warning
      maintainer-desktop-entry
    + d/praat-file.desktop: Add comment

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Aug 2022 16:06:24 -0300
