=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libasound2-dev,
               libgtk-3-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               pandoc,
               python3:any,
               xauth,
               xvfb
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: https://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         ${python3:Depends}
Suggests: libasound2-plugins
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.
