## praat 6.3.12

=== debian/changelog ===
praat (6.3.12-1) unstable; urgency=medium

  * New upstream version 6.3.12

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 Jul 2023 06:57:07 -0300

praat (6.3.11-3) unstable; urgency=medium

  * d/p/ftbfs-on-i386-with-g++13.patch: Extend patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 17:03:44 -0300

praat (6.3.11-2) unstable; urgency=medium

  * d/p/ftbfs-on-i386-with-g++13.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 12:41:22 -0300

praat (6.3.11-1) unstable; urgency=medium

  * New upstream version 6.3.11
  * d/p/new-absolute-peak.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jul 2023 08:28:20 -0300

praat (6.3.10-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 12:16:41 -0300

praat (6.3.10-1) experimental; urgency=medium

  * New upstream version 6.3.10
  * d/u/metadata: Add Changelog and FAQ fields
  * d/p/new-absolute-peak.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 May 2023 18:05:04 -0300

praat (6.3.09-1) experimental; urgency=medium

  * New upstream version 6.3.09

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 Mar 2023 08:42:33 -0300

praat (6.3.08-1) experimental; urgency=medium

  * New upstream version 6.3.08
  * Uploaded to experimental, since the bookworm freeze started

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Feb 2023 09:07:27 -0300
