=== debian/changelog ===
praat (6.3.14-1) unstable; urgency=medium

  * New upstream version 6.3.14

 -- Rafael Laboissière <rafael@debian.org>  Mon, 07 Aug 2023 12:40:58 -0300
