## praat 6.3.16

=== debian/changelog ===
praat (6.3.16-1) unstable; urgency=medium

  * New upstream version 6.3.16
  * d/p/return-getphonemesfromtext.patch: Drop patch (applied upstreqm)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 31 Aug 2023 05:39:20 -0300

praat (6.3.15-1) unstable; urgency=medium

  * New upstream version 6.3.15
  * d/p/ftbfs-on-i386-with-g++13.patch: Refresh for new upstream version
  * d/p/return-getphonemesfromtext.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 27 Aug 2023 05:24:27 -0300
