=== debian/changelog ===
praat (6.4.05+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.05+dfsg
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Feb 2024 10:11:51 -0300

praat (6.4.04+dfsg-3) unstable; urgency=medium

  * d/rules: Undo changes in previous release of the package.
    They were not meant to the praat package.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Jan 2024 09:35:48 -0300

praat (6.4.04+dfsg-2) unstable; urgency=medium

  * d/rules: Avoid FTBFS on armhf.
    Thanks to Emanuele Rocca for the suggestion.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 17:21:05 -0300

praat (6.4.04+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.04+dfsg
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version
  * d/p/honor-cppflags.patch: Refresh for new upstream version
  * Drop obsolete dependency on Python
    + d/control: Ditto
    + d/rules: Drop option --with-python3 from dh command

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Jan 2024 16:56:31 -0300

praat (6.4.03+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.03+dfsg
  * d/p/fix-action-titles.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 15:44:39 -0300

praat (6.4.02+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.02+dfsg
  * d/copyright: Reflect upstream changes
  * d/praat-launch.md: Fix typo
  * d/p/fix-action-titles.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 04 Jan 2024 18:42:29 -0300

praat (6.4.01+dfsg-2) unstable; urgency=medium

  * Allow Praat desktop icon to launch sound and script files
    + d/praat-open-files: Drop file
    + d/praat-open-files.md: Drop file
    + d/praat-file.desktop: Drop file
    + d/praat-file.svg: Drop file
    + d/patches/praat-launch-in-desktop.patch: New patch
    + d/clean: Clean praat-launch.1
    + d/control: Depend on file
    + d/install.in: Install d/praat-launch
    + d/praat-launch: New script
    + d/praat-launch.md: New man page
    + d/praat.manpages: Install praat-launch.1
    + d/rules: Build praat-launch.1
    + d/s/lintian-overrides: Drop override for maintainer-desktop-entry
    + d/NEWS: Document the new situation

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2023 07:53:50 -0300

praat (6.4.01+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.01+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Dec 2023 09:18:27 -0300

praat (6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Nov 2023 08:41:41 -0300

praat (6.3.20+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules: fix from Adrian Bunk <bunk@debian.org> to run the tests on
             all architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 31 Oct 2023 11:33:42 +0100

praat (6.3.20+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.20+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Oct 2023 01:47:26 -0300

praat (6.3.19+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.19+dfsg
  * New scheme for obtaining the upstream changelog
    + d/What_s_new_.html: Drop file
    + d/rules: Replace the target for getting the What_s_new_.html
      file from the Praat website by a code for extracting it from file
      fon/manual_whatsnew.cpp
    + d/clean: Include d/what-is-new in the list of files to remove
    + d/s/lintian-overrides: Drop override fior source-is-missing related
      to d/What_s_new_.html

 -- Rafael Laboissière <rafael@debian.org>  Tue, 24 Oct 2023 13:16:03 -0300

praat (6.3.18+dfsg-2) unstable; urgency=medium

  * Avoid FTBFS on i386
    + d/p/ftbfs-on-i386-with-g++13.patch: Drop patch
    + d/mk-vars-hardening: Add option -fexcess-precision=fast to CXXFLAGS
    Thanks to Adrian Bunk for the tip (see
    https://github.com/praat/praat/issues/2433)
  * Avoid stack smashing in unit test
    + d/p/drop-espeak-demonic-file.patch: New patch
    + d/NEWS: Document the user visible change (drop espeak-ng file
      voices/!v/Demonic)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 22 Oct 2023 07:40:24 -0300

praat (6.3.18+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.18+dfsg
  * d/copyright: Exclude MacOs executable files
    test/manually/spit/*mac from repacked tarball
  * d/p/extract-rows-where-mahalanobis-args.patch: Drop patch
    (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version
  * d/s/lintian-overrides: Override Lintian error source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Oct 2023 15:44:41 -0300

praat (6.3.17+dfsg-1) unstable; urgency=medium

  * New upstream version 6.3.17+dfsg
  * Remove the *.exe files from the upstream tarball.
    This is a temporary change, which will eventually fixed in a future
    upstream release, when the *.exe files will not be included in the
    tarball anymore.
    + d/copyright: Add Files-Excluded header
    + d/watch: Add options for the tarball repacking
  * d/p/extract-rows-where-mahalanobis-args.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 22 Sep 2023 16:42:30 -0300
