=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                libasound2-dev,
                libgtk-3-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                pandoc,
-               python3:any,
                xauth,
                xvfb
 Standards-Version: 4.6.2
@@ -22,10 +20,10 @@
 
 Package: praat
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: file,
+         oss-compat,
          ${misc:Depends},
-         oss-compat,
-         ${python3:Depends}
+         ${shlibs:Depends}
 Suggests: libasound2-plugins
 Description: program for speech analysis and synthesis
  According to its authors, praat is "doing phonetics by computer".  Through
