=== sys/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "sys"
-# Paul Boersma 2022-06-27
+# Paul Boersma 2023-07-16
 
 include ../makefile.defs
 
@@ -11,13 +11,14 @@
    Graphics_image.o Graphics_record.o \
    Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
    GraphicsPostscript.o Graphics_surface.o \
-   ManPage.o ManPages.o Script.o machine.o \
+   ManPage.o ManPages.o ManPages_toHtml.o Script.o Notebook.o machine.o \
    GraphicsScreen.o Printer.o \
    Preferences.o site.o \
    Picture.o Ui.o UiFile.o UiPause.o DataGui.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
    praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendsocket.o \
    praat_script.o praat_statistics.o praat_logo.o praat_library.o \
-   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
+   praat_objectMenus.o InfoEditor.o ScriptEditor.o NotebookEditor.o ButtonEditor.o \
+   Interpreter.o Formula.o \
    StringsEditor.o DemoEditor.o \
    motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
    GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
