=== debian/changelog ===
praat (6.4.06+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:15 +1100

praat (6.4.06+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:30:15 +0000

praat (6.4.06+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.06+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 27 Feb 2024 07:34:51 -0300
