=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,6 @@
 SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                 s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildtools.mk
 PKG_CONFIG ?= pkg-config
@@ -24,14 +22,7 @@
 endif
 
 %:
-	dh $@ --with=python3
-
-get-upstream-changelog:
-	# Get upstream changelog (in HTML format) and replace some characters
-	# for correct display in the final ASCII file
-	( cd debian ;							    \
-	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
-	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )
+	dh $@
 
 clean:
 	dh clean
@@ -57,7 +48,7 @@
 	# Generate the man page from the Markdown source
 	pandoc --standalone --to man $< -o $@
 
-override_dh_auto_build: praat.1 praat_nogui.1 praat-open-files.1
+override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
 	dh_auto_build
 	cp makefiles/makefile.defs.linux.nogui makefile.defs
 	# Add hardening flags
@@ -67,13 +58,12 @@
 	dh_auto_build
 
 override_dh_auto_install:
-	# Install the upstream changelog
-	dh_installchangelogs debian/What_s_new_.html
+	# Build and install the upstream changelog
+	sed -n '/^R"~~~(/,/^)~~~"/{/^R"~~~(/!{/^)~~~"/!p}}' fon/manual_whatsnew.cpp > debian/what-is-new
+	dh_installchangelogs debian/what-is-new
 	dh_auto_install -- INSTALL=
 
-ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
-endif
