## praat 6.4.12+dfsg

=== sys/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "sys"
-# Paul Boersma 2023-07-16
+# Paul Boersma 2024-04-26
 
 include ../makefile.defs
 
 # -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
-CPPFLAGS = -I ../melder -I ../sys -I ../dwsys
+CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys
 
 OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
    Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
