=== debian/changelog ===
praat (6.4.12+dfsg-3) unstable; urgency=medium

  * d/p/test-datamodeler-debug.patch: Drop patch
  * d/p/test-datamodeler-tolerance.patch: New patch (Closes: #1070994)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 May 2024 02:08:25 -0300

praat (6.4.12+dfsg-2) unstable; urgency=medium

  * d/p/test-datamodeler-debug.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 May 2024 15:47:37 -0300

praat (6.4.12+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.12+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 May 2024 15:18:08 -0300

praat (6.4.11+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.11+dfsg
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 Apr 2024 02:27:43 -0300

praat (6.4.10+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.10+dfsg
  * d/p/drop-espeak-demonic-file.patch: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/clean: Remove leftover directories test/script/kanweg*/

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Apr 2024 07:35:09 -0300

praat (6.4.07+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.07+dfsg
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 20 Mar 2024 12:42:55 -0300
