=== debian/changelog ===
praat (6.4.23+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.23+dfsg
  * Use a real file as the application icon
    + d/install.in: Only install file main/praat-480.svg
    + d/p/real-file-icon.patch: New patch (use praat-480 as Icon)
    + d/praat.links: Drop file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Oct 2024 10:00:02 -0300

praat (6.4.22+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.22+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 03:32:15 -0300

praat (6.4.21+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.21+dfsg
  * d/NEWS: Fix timestamps.
    This was causing parsing errors in dh_installchangelogs and
    preventing the file to be trimmed.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 29 Sep 2024 15:32:50 -0300

praat (6.4.20+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.20+dfsg
  * d/p/drop-espeak-demonic-file.patch: Drop patch (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 12:36:35 -0300

praat (6.4.13+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.13+dfsg
  * d/p/test-datamodeler-tolerance.patch: Drop patch (applied upstream)
  * d/p/drop-espeak-demonic-file.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Jun 2024 09:05:42 -0300
