## praat 6.4.25+dfsg

=== debian/changelog ===
praat (6.4.25+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.25+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Dec 2024 04:39:28 -0300

praat (6.4.24+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.24+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 05 Dec 2024 05:44:29 -0300
